> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Journey Detail



## OpenAPI

````yaml /openapi.json get /prop/journeys/{journey_id}
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /prop/journeys/{journey_id}:
    get:
      tags:
        - Prop trading
      summary: Journey Detail
      operationId: journey_detail_prop_journeys__journey_id__get
      parameters:
        - name: journey_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Journey Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JourneyDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    JourneyDetail:
      properties:
        journey_id:
          type: string
          format: uuid
          title: Journey Id
        customer_id:
          type: string
          format: uuid
          title: Customer Id
        customer_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Name
        customer_email:
          type: string
          title: Customer Email
        template_id:
          type: string
          format: uuid
          title: Template Id
        template_name:
          type: string
          title: Template Name
        account_currency:
          type: string
          title: Account Currency
        status:
          type: string
          title: Status
        template_snapshot:
          type: object
          title: Template Snapshot
        selected_addons:
          items: {}
          type: array
          title: Selected Addons
        total_paid:
          anyOf:
            - type: number
            - type: 'null'
          title: Total Paid
        total_paid_currency:
          type: string
          title: Total Paid Currency
        current_account_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Current Account Id
        current_phase:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Phase
        current_account_login:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Account Login
        profit_to_date:
          anyOf:
            - type: number
            - type: 'null'
          title: Profit To Date
        profit_target:
          anyOf:
            - type: number
            - type: 'null'
          title: Profit Target
        created_at:
          type: string
          title: Created At
        completed_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Completed At
        accounts:
          items:
            $ref: '#/components/schemas/PropAccountDetail'
          type: array
          title: Accounts
        breach_events:
          items:
            $ref: '#/components/schemas/PropBreachEvent'
          type: array
          title: Breach Events
        _meta:
          anyOf:
            - $ref: '#/components/schemas/JourneyMeta'
            - type: 'null'
      type: object
      required:
        - journey_id
        - customer_id
        - customer_name
        - customer_email
        - template_id
        - template_name
        - account_currency
        - status
        - template_snapshot
        - selected_addons
        - total_paid
        - total_paid_currency
        - current_account_id
        - current_phase
        - current_account_login
        - profit_to_date
        - profit_target
        - created_at
        - completed_at
        - accounts
        - breach_events
      title: JourneyDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PropAccountDetail:
      properties:
        account_id:
          type: string
          format: uuid
          title: Account Id
        login:
          type: string
          title: Login
        account_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Type
        account_currency:
          type: string
          title: Account Currency
        balance:
          anyOf:
            - type: number
            - type: 'null'
          title: Balance
        close_only:
          type: boolean
          title: Close Only
        is_active:
          type: boolean
          title: Is Active
        phase:
          anyOf:
            - type: string
            - type: 'null'
          title: Phase
        state_status:
          anyOf:
            - type: string
            - type: 'null'
          title: State Status
        starting_balance:
          anyOf:
            - type: number
            - type: 'null'
          title: Starting Balance
        total_profit_to_date:
          anyOf:
            - type: number
            - type: 'null'
          title: Total Profit To Date
        profit_target_amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Profit Target Amount
        daily_dd_floor:
          anyOf:
            - type: number
            - type: 'null'
          title: Daily Dd Floor
        max_loss_floor:
          anyOf:
            - type: number
            - type: 'null'
          title: Max Loss Floor
        trading_days_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Trading Days Count
        winning_days_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Winning Days Count
        breached_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Breached At
        breached_rule_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Breached Rule Type
      type: object
      required:
        - account_id
        - login
        - account_type
        - account_currency
        - balance
        - close_only
        - is_active
        - phase
        - state_status
        - starting_balance
        - total_profit_to_date
        - profit_target_amount
        - daily_dd_floor
        - max_loss_floor
        - trading_days_count
        - winning_days_count
        - breached_at
        - breached_rule_type
      title: PropAccountDetail
    PropBreachEvent:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        journey_id:
          type: string
          format: uuid
          title: Journey Id
        account_id:
          type: string
          format: uuid
          title: Account Id
        account_login:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Login
        customer_id:
          type: string
          format: uuid
          title: Customer Id
        customer_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Name
        customer_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Email
        rule_type:
          type: string
          title: Rule Type
        severity:
          type: string
          title: Severity
        review_status:
          type: string
          title: Review Status
        triggered_at:
          type: string
          title: Triggered At
        triggered_value:
          anyOf:
            - type: number
            - type: 'null'
          title: Triggered Value
        threshold_value:
          anyOf:
            - type: number
            - type: 'null'
          title: Threshold Value
        baseline_value:
          anyOf:
            - type: number
            - type: 'null'
          title: Baseline Value
        tick_symbol:
          anyOf:
            - type: string
            - type: 'null'
          title: Tick Symbol
        tick_bid:
          anyOf:
            - type: number
            - type: 'null'
          title: Tick Bid
        tick_ask:
          anyOf:
            - type: number
            - type: 'null'
          title: Tick Ask
        tick_source:
          anyOf:
            - type: string
            - type: 'null'
          title: Tick Source
        detected_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Detected By
        positions_closed:
          items: {}
          type: array
          title: Positions Closed
        positions_failed:
          items: {}
          type: array
          title: Positions Failed
      type: object
      required:
        - id
        - journey_id
        - account_id
        - account_login
        - customer_id
        - customer_name
        - customer_email
        - rule_type
        - severity
        - review_status
        - triggered_at
        - triggered_value
        - threshold_value
        - baseline_value
        - tick_symbol
        - tick_bid
        - tick_ask
        - tick_source
        - detected_by
        - positions_closed
        - positions_failed
      title: PropBreachEvent
    JourneyMeta:
      properties:
        permissions:
          $ref: '#/components/schemas/JourneyMetaPermissions'
      type: object
      title: JourneyMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    JourneyMetaPermissions:
      properties:
        can_grant_journey:
          type: boolean
          title: Can Grant Journey
          default: false
        can_reset_journey:
          type: boolean
          title: Can Reset Journey
          default: false
        can_cancel_journey:
          type: boolean
          title: Can Cancel Journey
          default: false
      type: object
      title: JourneyMetaPermissions
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````